# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: satnogs-tiny.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='satnogs-tiny.proto',
  package='',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x12satnogs-tiny.proto\"\xd0\x02\n\x0e\x66sk_parameters\x12\x10\n\x08\x62\x61udrate\x18\x01 \x01(\x01\x12\x18\n\x10modulation_index\x18\x02 \x01(\x01\x12\x10\n\x08preamble\x18\x03 \x01(\x0c\x12\x11\n\tsync_word\x18\x05 \x01(\x0c\x12\x18\n\x10\x66rame_size_fixed\x18\x06 \x01(\x08\x12\x12\n\nframe_size\x18\x07 \x01(\r\x12&\n\x03\x63rc\x18\x08 \x01(\x0e\x32\x19.fsk_parameters.CRCScheme\x12,\n\twhitening\x18\t \x01(\x0e\x32\x19.fsk_parameters.Whitening\"4\n\tCRCScheme\x12\n\n\x06NO_CRC\x10\x00\x12\x0b\n\x07\x43RC32_C\x10\x01\x12\x0e\n\nCRC16_CCIT\x10\x02\"3\n\tWhitening\x12\x10\n\x0cNO_WHITENING\x10\x00\x12\t\n\x05G3RUH\x10\x01\x12\t\n\x05\x43\x43SDS\x10\x02\x62\x06proto3'
)



_FSK_PARAMETERS_CRCSCHEME = _descriptor.EnumDescriptor(
  name='CRCScheme',
  full_name='fsk_parameters.CRCScheme',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='NO_CRC', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='CRC32_C', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='CRC16_CCIT', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=254,
  serialized_end=306,
)
_sym_db.RegisterEnumDescriptor(_FSK_PARAMETERS_CRCSCHEME)

_FSK_PARAMETERS_WHITENING = _descriptor.EnumDescriptor(
  name='Whitening',
  full_name='fsk_parameters.Whitening',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='NO_WHITENING', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='G3RUH', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='CCSDS', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=308,
  serialized_end=359,
)
_sym_db.RegisterEnumDescriptor(_FSK_PARAMETERS_WHITENING)


_FSK_PARAMETERS = _descriptor.Descriptor(
  name='fsk_parameters',
  full_name='fsk_parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='baudrate', full_name='fsk_parameters.baudrate', index=0,
      number=1, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='modulation_index', full_name='fsk_parameters.modulation_index', index=1,
      number=2, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='preamble', full_name='fsk_parameters.preamble', index=2,
      number=3, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=b"",
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='sync_word', full_name='fsk_parameters.sync_word', index=3,
      number=5, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=b"",
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='frame_size_fixed', full_name='fsk_parameters.frame_size_fixed', index=4,
      number=6, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='frame_size', full_name='fsk_parameters.frame_size', index=5,
      number=7, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='crc', full_name='fsk_parameters.crc', index=6,
      number=8, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='whitening', full_name='fsk_parameters.whitening', index=7,
      number=9, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _FSK_PARAMETERS_CRCSCHEME,
    _FSK_PARAMETERS_WHITENING,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=23,
  serialized_end=359,
)

_FSK_PARAMETERS.fields_by_name['crc'].enum_type = _FSK_PARAMETERS_CRCSCHEME
_FSK_PARAMETERS.fields_by_name['whitening'].enum_type = _FSK_PARAMETERS_WHITENING
_FSK_PARAMETERS_CRCSCHEME.containing_type = _FSK_PARAMETERS
_FSK_PARAMETERS_WHITENING.containing_type = _FSK_PARAMETERS
DESCRIPTOR.message_types_by_name['fsk_parameters'] = _FSK_PARAMETERS
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

fsk_parameters = _reflection.GeneratedProtocolMessageType('fsk_parameters', (_message.Message,), {
  'DESCRIPTOR' : _FSK_PARAMETERS,
  '__module__' : 'satnogs_tiny_pb2'
  # @@protoc_insertion_point(class_scope:fsk_parameters)
  })
_sym_db.RegisterMessage(fsk_parameters)


# @@protoc_insertion_point(module_scope)
